Subject: Re: [PATCH net-next] netlink: make getters tolerate NULL nla arg

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 17 Jan 2020 17:26:40 +0100

Florian Westphal <[email-masked]> writes:

> Toke Høiland-Jørgensen <[email-masked]> wrote:
>> And that the crashes at least shine a light on
>> them forcing people to consider whether that is indeed the case?
>>
>> (IDK if that's actually the case, I'm asking :))
>
> All I was saying is that if the getters were more tolerant a few crash
> bugs could have been avoided.

Sure, and all I'm saying is that that is fine, as long as it doesn't
just turn an obvious crash into a not-so-obvious behavioural bug :)

-Toke